Package: org.codehaus.groovy.util

## [Java] Class ManagedReference<T>

- org.codehaus.groovy.util.ManagedReference

- All Implemented Interfaces and Traits:
    Finalizable

      public class ManagedReference<T>
      extends Object
      implements Finalizable

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ManagedReference(ReferenceType type, ReferenceManager rmanager, T value)`
    `ManagedReference(ReferenceBundle bundle, T value)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public final void` | `clear()`
    `` | `public void` | `finalizeReference()`
    `` | `public final T` | `get()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public ManagedReference(ReferenceType type, ReferenceManager rmanager, T value)

    - #### public ManagedReference(ReferenceBundle bundle, T value)

  - ### Method Detail

    - #### public final void clear()

    - #### @Override
      public void finalizeReference()

    - #### public final T get()